from tornado.ioloop import IOLoop
from tornado.web import Application

from tfw.config import CRP_LISTENER_PORT, AVATAO_SECRET
from handlers import SolutionCheckHandler, TestHandler
from tfw.networking.solvable_connector import SolvableConnector


if __name__ == '__main__':
    solvable_connector = SolvableConnector()
    routes = [
        (r'/{secret}/'.format(secret=AVATAO_SECRET), SolutionCheckHandler, {'solvable_connector': solvable_connector}),
        (r'/{secret}/test'.format(secret=AVATAO_SECRET), TestHandler, {'solvable_connector': solvable_connector})
    ]
    app = Application(
        routes
    )
    app.listen(CRP_LISTENER_PORT)
    IOLoop.instance().start()
